XTSSCALE(1)

NAME
xtsscale - X touch screen calibration tool

SYNOPSIS
xtsscale [-c] [-D display] [-d device] [-o output] [-v]

DESCRIPTION
xtsscale is used interactively to calculate both the scaling and offset values which will make the pointer act at the indicated location on the screen.

The following options can be used:

-c  keep the X cursor visible during calibration. Useful for indirect absolute devices like tablets.

-D display
    specify the X11 display to use.

-d device
    defines the name or numerical identifier of the X Input extension device to calibrate. Use

        $ xinput --list

    to figure out the actual name for the X configuration. device can be omitted if there is only one X extension pointer with calibration properties in the system.

-o output
    specifies the XRandR output to with the touch screen is connected. If omitted xtsscale will use all heads in multi-head configurations, which is probably not what is expected. Use

        $ xrandr

    to figure out the names of the outputs.

-v  specifies that xtsscale will be verbose, outputting various information, including the raw coordinate values produced, mostly for debugging purposes.

When good deviations are calculated from the selections made at these points, xtsscale will exit and provide on standard output a result like the following:

    mouse.scale=200,3400,312,3672,0,1024,768

This result should be placed into /etc/wsconsctl.conf for further use. The new calibration is automatically used by the X server. The calibration process can be interrupted at any time using the ESC key. In this case the current screen calibration data will not be modified.

NOTES
To use xtsscale the mode of the input device should be set to raw in the /etc/X11/xorg.conf X configuration file. See ws(4) for details.

/etc/wsconsctl.conf cannot currently be used to set the calibration data of a device that is not the first device. ( /dev/wsmouse0 )

SEE ALSO
xinput(1), xrandr(1), uhts(4), uts(4), wscons(4), ws(4), wsconsctl(8), X(7)

HISTORY
The xtsscale command appeared in OpenBSD 4.2.